<template>
    <v-layout column justify-center align-center>
        <v-text-field
            label="количество игроков от 2 до 4"
            placeholder="Placeholder"
            outlined
            style="margin-top:20px;"
            v-model="max_players"
        ></v-text-field>
        <v-btn @click="createRoom">Create Room</v-btn>
        <v-btn 
            style="margin-top:20px;"
            @click="$emit('cancel-form');"
        >Cancel</v-btn>
    </v-layout>
</template>

<script>

export default {
    // components: {
    // },
    mounted(){
        
    },
    data: () => ({
        max_players:2
    }),
    methods:{
        createRoom(){
            console.log('max_players', this.max_players);
            //return;
            const data = {
                player: this.$store.state.user.user.id,
                max_players: this.max_players
            };
            this.$emit('create-room', data);
        }
    }
};
</script>
